# Managing Workspaces[¶](https://doc.dataiku.com/dss/latest/workspaces/managing.html#managing-workspaces "Permalink to this headline")

Workspaces can be created by anyone whose security group has been granted permission to create workspaces by the instance admin in **Global group permissions**.

## Workspace settings[¶](https://doc.dataiku.com/dss/latest/workspaces/managing.html#workspace-settings "Permalink to this headline")

To populate your workspace with members and to help orient them, you can edit the workspace settings. If you are an Admin in a workspace, you can change the workspace’s name, give it a description, change the workspace icon’s color, and manage users.

## Managing Workspace Users[¶](https://doc.dataiku.com/dss/latest/workspaces/managing.html#managing-workspace-users "Permalink to this headline")

If you click on a workspace’s user list, you’ll see the full list of users and groups in the workspace and their roles. If you are a workspace Admin, you can add/remove DSS users and groups to this list of users and change their roles.

## Workspace Roles[¶](https://doc.dataiku.com/dss/latest/workspaces/managing.html#workspace-roles "Permalink to this headline")

Within a workspace, there are 3 types of roles: **Admins, Contributors, and Members.**

* Admins control access to the workspace by adding and removing users. They also assign roles to users in the workspace (Admin, Contributor or Member).

* Contributor can share content into a workspace. In order to share objects from a DSS project, a Contributor needs to have permission from the project owner; this is granted separately from workspace membership, and is granted at the project-level. See ‘Sharing DSS objects into a workspace’ for more information.

* Members can access and interact with content in the workspace.

## Permissions[¶](https://doc.dataiku.com/dss/latest/workspaces/managing.html#permissions "Permalink to this headline")

Everyone in a workspace are granted a **read** permission on objects and are able to create and contribute to discussion threads. If a DSS user has more permissions on an object, previously granted through other types of project access, they’ll be able to open the object in ‘project view’ with the button **GOTO SOURCE** and perform actions there.
