# Using Amazon Elastic Kubernetes Service (EKS)[¶](https://doc.dataiku.com/dss/latest/containers/eks/index.html#using-amazon-elastic-kubernetes-service-eks "Permalink to this headline")

You can use containerized execution on EKS as a fully managed Kubernetes solution.

For a complete Elastic AI setup in Amazon Web Services including elastic storage and elastic compute based on Kubernetes, we recommend that you read our dedicated AWS documentation

* Using managed EKS clusters

+ Initial Setup

- Install the EKS plugin

- Prepare your local `aws`, `docker` and `kubectl` commands

- Create base images

- Create a new containerized execution configuration

+ Cluster configuration

- Connection

- Network settings

- Cluster nodes

+ Using GPUs

- Building an image with CUDA support

- Enable GPU support on the cluster

- Add a custom reservation

- Deploy

* Using unmanaged EKS clusters

+ Setup

- Create your EKS cluster

- Prepare your local `aws`, `docker`, and `kubectl` commands

- Create base images

- Create a new execution configuration

+ Using GPUs

- Building an image with CUDA support

- Enable GPU support on the cluster

- Add a custom reservation

- Deploy
