# Using Google Kubernetes Engine (GKE)[¶](https://doc.dataiku.com/dss/latest/containers/gke/index.html#using-google-kubernetes-engine-gke "Permalink to this headline")

You can use containerized execution on GKE as a fully managed Kubernetes solution.

For a complete Elastic AI setup in Google Cloud Platform including elastic storage and elastic compute based on Kubernetes, we recommend that you read our dedicated GCP documentation

* Using managed GKE clusters

+ Initial setup

- Install the GKE plugin

- Prepare your local `gcloud`, `docker`, and `kubectl` commands

- Create base images

- Create a new execution configuration

+ Cluster configuration

- Connection

- Network settings

- Cluster nodes

+ Using GPUs

- Building an image with CUDA support

- Enable GPU support on the cluster

- Add a custom reservation

- Deploy

* Using unmanaged GKE clusters

+ Setup

- Create your GKE cluster

- Prepare your local `gcloud`, `docker`, and `kubectl` commands

- Create base images

- Create the execution configuration

+ Using GPUs

- Building an image with CUDA support

- Enable GPU support on the cluster

- Add a custom reservation

- Deploy
