# Filters[¶](https://doc.dataiku.com/dss/latest/dashboards/filters.html#filters "Permalink to this headline")

Filters can be applied to a dashboard slide to filter its insights.

Filterable insights are:

* charts

* dataset tables

Note

Chart and dataset insights can be filtered themselves. Dashboard filters are applied on top of insight filters.

## Creating a filters tile[¶](https://doc.dataiku.com/dss/latest/dashboards/filters.html#creating-a-filters-tile "Permalink to this headline")

You can create a filters tile from the dashboard itself.

To do so, click on the + button to add tiles and select filters. You have to select from which dataset the filters will be created. If a filterable insight is already in the dashboard you can reuse its dataset, otherwise you can search and select a dataset. If you only have dashboard access, you will only see the datasets that have previously been dashboard-authorized.

Note

If two filterable insights use two different datasets sharing a similar column (same name and same type), then creating a filter from one of this insight’s dataset and applying it to this column will also filter the second insight.

You are redirected to the edit view of the insight, which allows configuring both the insight settings and individual filter settings.

## Tile display[¶](https://doc.dataiku.com/dss/latest/dashboards/filters.html#tile-display "Permalink to this headline")

A filters tile displays a set of global actions in the tile header and then the list of column filters in the tile body.

The global actions allow you to:

* globally enable or disable all facets.

* copy the filters as URL to the clipboard.

+ this URL allows saving and/or sharing a dashboard with a customized pre-filtering.

+ filters omitted in the URL will keep their default state as defined in Edit mode (for more information about filter settings persistence, see Filters settings).

+ For more information about the filters URL syntax, see Filtering a dashboard using a query parameter in the URL.

Each column filter allows you to:

* customize how this column is filtered.

* enable or disable this filter.

* tweak the settings of this filter.

## Filters settings[¶](https://doc.dataiku.com/dss/latest/dashboards/filters.html#filters-settings "Permalink to this headline")

In View mode, each filter state and settings can be modified but will not be persisted.

In the Edit mode:

* the filter tile can be modified to change:

+ the columns available for interaction.

+ the load state of available filters.

+ the sampling & engine used to create the content of the filter.

* each filter can be set up individually to:

+ set a default state.

+ change if only relevant values (taking into account other filters) or all values in sample must be displayed.

+ change if other values must be included or excluded.

Only changes made to the filters tile in Edit mode persist.

For more information about filter settings, see charts filter settings.
