# Concept Summary: Univariate and Bivariate Analysis[¶](https://knowledge.dataiku.com/latest/courses/statistics/univariate-bivariate/univariate-bivariate-concepts-summary.html#concept-summary-univariate-and-bivariate-analysis "Permalink to this headline")

Let’s summarize what we just learned in each of the concept videos. Then, we’ll continue with the hands-on lesson where you can apply each concept.

## Categorical and Numerical Variables[¶](https://knowledge.dataiku.com/latest/courses/statistics/univariate-bivariate/univariate-bivariate-concepts-summary.html#categorical-and-numerical-variables "Permalink to this headline")

Recognizing categorical and numerical variables in a worksheet can help you to identify the appropriate statistics to compute on them, as well as to understand certain behaviors of Dataiku DSS.

In DSS the character \(A\) next to a variable name indicates that it is **categorical** (nominal or ordinal), while the character \(\#\) indicates that it is **numerical**.

Also, DSS enforces the use of the correct variable type when computing statistics. For instance, when creating a PCA card or a correlation matrix card, DSS disables the selection of categorical variables so that these cards do not return meaningless results.

Likewise, when you choose variables for cards such as the univariate and bivariate analysis cards, DSS automatically selects the appropriate statistics options to compute, while disabling the selection of options that would be meaningless for the types of variables that you selected.

Note

After creating a univariate or bivariate card, you can change the way that DSS treats the variables used in the card. However, this change does not affect the schema of the dataset or the default way that DSS will treat the same variables in a different card.

## Factor and Response[¶](https://knowledge.dataiku.com/latest/courses/statistics/univariate-bivariate/univariate-bivariate-concepts-summary.html#factor-and-response "Permalink to this headline")

Assigning roles to variables in your data set determines how Dataiku DSS uses them in statistics cards.

In a bivariate analysis card, for example, if you assign a variable *alcohol* as a **Response**, and the variables *pH* and *sulphates* as **Factors**, the factors are used separately to explain the change in values of the response. The factors are plotted on the *x* axis and the response variable on the *y* axis.
